import { ReactNode } from 'react';
export interface IBasicProps {
    children?: ReactNode | ReactNode[];
}
export interface IBasicRouteCompProps<T = any> extends IBasicProps {
    match: {
        isExact: boolean;
        params: T;
        path: string;
        url: string;
    };
    location: {
        hash: string;
        key: string;
        pathname: string;
        search: string;
    };
}
export declare type ICommonRes<T = any> = {
    code: number;
    data: T;
    msg: string;
    stack?: string;
    success?: boolean;
};
export declare type IErrorRes = {
    code?: string;
    message?: string;
    [props: string]: any;
};
export declare type IValidValType = string | number | boolean | Record<string, any> | Array<any>;
